Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_UDP_Reliable_Receiver Class Reference

`#include <RMCast_UDP_Reliable_Receiver.h>`

Inheritance diagram for ACE_RMCast_UDP_Reliable_Receiver:

[legend]
Collaboration diagram for ACE_RMCast_UDP_Reliable_Receiver:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_UDP_Reliable_Receiver (ACE_RMCast_Module *user_control)
| Constructor.
virtual | ~ACE_RMCast_UDP_Reliable_Receiver (void)
| Destructor.
int | init (const ACE_INET_Addr &mcast_group)
| Open the UDP I/O module.
void | reactive_incoming_messages (ACE_Reactor *reactor)
| Use the reactor to handle incoming messages.
## Private Attributes
ACE_RMCast_Singleton_Factory | user_factory_
| All the proxys give their messages to user module.
ACE_RMCast_Reliable_Factory | factory_
| This factory creates the per-proxy stack.
ACE_RMCast_IO_UDP | io_udp_
| Handle all the UDP I/O.

## Constructor & Destructor Documentation

ACE_RMCast_UDP_Reliable_Receiver::ACE_RMCast_UDP_Reliable_Receiver | ( | ACE_RMCast_Module * | user_control | ) |

| Constructor.

ACE_RMCast_UDP_Reliable_Receiver::~ACE_RMCast_UDP_Reliable_Receiver | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE int ACE_RMCast_UDP_Reliable_Receiver::init | ( | const ACE_INET_Addr & | mcast_group | ) |

| Open the UDP I/O module.

void ACE_RMCast_UDP_Reliable_Receiver::reactive_incoming_messages | ( | ACE_Reactor * | reactor | ) |

| Use the reactor to handle incoming messages.

## Member Data Documentation

ACE_RMCast_Reliable_Factory ACE_RMCast_UDP_Reliable_Receiver::factory_`[private]`

| This factory creates the per-proxy stack.

ACE_RMCast_IO_UDP ACE_RMCast_UDP_Reliable_Receiver::io_udp_`[private]`

| Handle all the UDP I/O.

ACE_RMCast_Singleton_Factory ACE_RMCast_UDP_Reliable_Receiver::user_factory_`[private]`

| All the proxys give their messages to user module.

The documentation for this class was generated from the following files:

- RMCast_UDP_Reliable_Receiver.h
- RMCast_UDP_Reliable_Receiver.cpp
- RMCast_UDP_Reliable_Receiver.i